using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Text;
using System.Threading;
using System.Windows.Forms;
using Gsome.Properties;
using Pepyaka;
using VKontakte;

internal class MainForm : Form
{
	private struct LogEntity
	{
		public string message;

		public Color color;

		public override string ToString()
		{
			return message;
		}
	}

	private const int ERROR_LIMIT = 5;

	private const int NOT_AVALIBLE_ATTACK_TIME_INTERVAL = 2000;

	private const int ERROR_TIME_DELAY = 240000;

	private const string STOPPED_VALUE = "    -";

	private Queue<LogEntity> log = new Queue<LogEntity>();

	private VKClient client;

	private static Random rnd = new Random();

	private static Gsom gen;

	private TableLayoutPanel tlpInitialization;

	private TextBox txtGroupID;

	private RadioButton rbtnAim_Person;

	private Label lblClientAccount;

	private ComboBox cmbClientAccount;

	private Button btnAccept;

	private RichTextBox rtxtLog;

	private SplitContainer spltAttack;

	private TableLayoutPanel tlpLogBorder;

	private TextBox txtPersonID;

	private TabControl tcConfigs;

	private TabPage tpWall;

	private TableLayoutPanel tlpWall;

	private CheckBox chkWall_AddASCII_Img;

	private NumericUpDown nudWall_TimeInterval;

	private Label lblWall_TimeInterval;

	private Label lblWall_MsgLen;

	private NumericUpDown nudWall_MsgLen;

	private CheckBox chkWall_AddLineBreaks;

	private CheckBox chkDoWall;

	private CheckBox chkWall_RandomCase;

	private CheckBox chkWall_AddGraffiti;

	private TabPage tpTopics;

	private TableLayoutPanel tlpTopics;

	private CheckBox chkTopics_RandomCase;

	private CheckBox chkTopics_AddASCII_Img;

	private Label lblTopics_TimeInterval;

	private NumericUpDown nudTopics_TimeInterval;

	private Label lblTopics_TitleLen;

	private NumericUpDown nudTopics_TitleLen;

	private Label lblTopics_SubjLen;

	private NumericUpDown nudTopics_SubjLen;

	private CheckBox chkTopics_AddLineBreaks;

	private CheckBox chkDoTopics;

	private TabPage tpPhotos;

	private TableLayoutPanel tableLayoutPanel1;

	private CheckBox chkAlbums_RandomCase;

	private CheckBox chkAlbums_AddASCII_Img;

	private Label lblAlbums_CreationTimeInterval;

	private NumericUpDown nudAlbums_CreationTimeInterval;

	private Label lblAlbums_PhotoTimeInterval;

	private NumericUpDown nudAlbums_PhotoTimeInterval;

	private CheckBox chkAlbums_AddLineBreaks;

	private CheckBox chkDoAlbums;

	private TabPage tpAudio;

	private TableLayoutPanel tableLayoutPanel2;

	private NumericUpDown nudAudio_TimeInterval;

	private Label lblAudio_TimeInterval;

	private CheckBox chkDoAudio;

	private TabPage tpVideo;

	private TableLayoutPanel tlpVideo;

	private NumericUpDown nudVideo_TimeInterval;

	private Label lblVideo_TimeInterval;

	private CheckBox chkDoVideo;

	private CheckBox chkVideo_NotAjax;

	private Label lblVideo_DescLen;

	private NumericUpDown nudVideo_NameLen;

	private Label lblVideo_NameLen;

	private NumericUpDown nudVideo_DescLen;

	private TableLayoutPanel tlpAttack;

	private Button btnGsom;

	private Button btnInitialize;

	private Button btnStop;

	private StatusStrip ssMain;

	private ToolStripStatusLabel lblWallStatus;

	private ToolStripSeparator sep1;

	private ToolStripStatusLabel lblTopicsStatus;

	private ToolStripSeparator sep2;

	private ToolStripStatusLabel lblAlbumsStatus;

	private ToolStripSeparator sep3;

	private ToolStripStatusLabel lblAudioStatus;

	private ToolStripSeparator sep4;

	private ToolStripStatusLabel lblVideoStatus;

	private System.Windows.Forms.Timer tmrScan;

	private IContainer components;

	private CheckBox chkAlbums_AttackTodayCreated;

	private NotifyIcon tray;

	private ToolStripSeparator sep5;

	private ToolStripButton btnCopyReport;

	private RadioButton rbtnAim_Group;

	private int AimID;

	private bool in_group;

	private string AimName;

	private string ClientName;

	private int wall_m_count;

	private Thread thr_wall;

	private int topics_count;

	private Thread thr_topics;

	private int albums_count;

	private Thread thr_albums;

	private AlbumInfo[] albums;

	private int audio_count;

	private Thread thr_audio;

	private List<string> audio_curls;

	private List<VideoInfo> video_info;

	private int video_count;

	private Thread thr_video;

	private int log_lines_count;

	private void InitializeComponent()
	{
		components = new System.ComponentModel.Container();
		System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(MainForm));
		tlpInitialization = new System.Windows.Forms.TableLayoutPanel();
		txtGroupID = new System.Windows.Forms.TextBox();
		rbtnAim_Group = new System.Windows.Forms.RadioButton();
		rbtnAim_Person = new System.Windows.Forms.RadioButton();
		lblClientAccount = new System.Windows.Forms.Label();
		cmbClientAccount = new System.Windows.Forms.ComboBox();
		btnAccept = new System.Windows.Forms.Button();
		txtPersonID = new System.Windows.Forms.TextBox();
		rtxtLog = new System.Windows.Forms.RichTextBox();
		spltAttack = new System.Windows.Forms.SplitContainer();
		tcConfigs = new System.Windows.Forms.TabControl();
		tpWall = new System.Windows.Forms.TabPage();
		tlpWall = new System.Windows.Forms.TableLayoutPanel();
		chkWall_AddASCII_Img = new System.Windows.Forms.CheckBox();
		nudWall_TimeInterval = new System.Windows.Forms.NumericUpDown();
		lblWall_TimeInterval = new System.Windows.Forms.Label();
		lblWall_MsgLen = new System.Windows.Forms.Label();
		nudWall_MsgLen = new System.Windows.Forms.NumericUpDown();
		chkWall_AddLineBreaks = new System.Windows.Forms.CheckBox();
		chkDoWall = new System.Windows.Forms.CheckBox();
		chkWall_RandomCase = new System.Windows.Forms.CheckBox();
		chkWall_AddGraffiti = new System.Windows.Forms.CheckBox();
		tpTopics = new System.Windows.Forms.TabPage();
		tlpTopics = new System.Windows.Forms.TableLayoutPanel();
		chkTopics_RandomCase = new System.Windows.Forms.CheckBox();
		chkTopics_AddASCII_Img = new System.Windows.Forms.CheckBox();
		lblTopics_TimeInterval = new System.Windows.Forms.Label();
		nudTopics_TimeInterval = new System.Windows.Forms.NumericUpDown();
		lblTopics_TitleLen = new System.Windows.Forms.Label();
		nudTopics_TitleLen = new System.Windows.Forms.NumericUpDown();
		lblTopics_SubjLen = new System.Windows.Forms.Label();
		nudTopics_SubjLen = new System.Windows.Forms.NumericUpDown();
		chkTopics_AddLineBreaks = new System.Windows.Forms.CheckBox();
		chkDoTopics = new System.Windows.Forms.CheckBox();
		tpPhotos = new System.Windows.Forms.TabPage();
		tableLayoutPanel1 = new System.Windows.Forms.TableLayoutPanel();
		chkAlbums_AttackTodayCreated = new System.Windows.Forms.CheckBox();
		chkAlbums_RandomCase = new System.Windows.Forms.CheckBox();
		chkAlbums_AddASCII_Img = new System.Windows.Forms.CheckBox();
		lblAlbums_CreationTimeInterval = new System.Windows.Forms.Label();
		nudAlbums_CreationTimeInterval = new System.Windows.Forms.NumericUpDown();
		lblAlbums_PhotoTimeInterval = new System.Windows.Forms.Label();
		nudAlbums_PhotoTimeInterval = new System.Windows.Forms.NumericUpDown();
		chkAlbums_AddLineBreaks = new System.Windows.Forms.CheckBox();
		chkDoAlbums = new System.Windows.Forms.CheckBox();
		tpAudio = new System.Windows.Forms.TabPage();
		tableLayoutPanel2 = new System.Windows.Forms.TableLayoutPanel();
		nudAudio_TimeInterval = new System.Windows.Forms.NumericUpDown();
		lblAudio_TimeInterval = new System.Windows.Forms.Label();
		chkDoAudio = new System.Windows.Forms.CheckBox();
		tpVideo = new System.Windows.Forms.TabPage();
		tlpVideo = new System.Windows.Forms.TableLayoutPanel();
		nudVideo_TimeInterval = new System.Windows.Forms.NumericUpDown();
		lblVideo_TimeInterval = new System.Windows.Forms.Label();
		chkDoVideo = new System.Windows.Forms.CheckBox();
		chkVideo_NotAjax = new System.Windows.Forms.CheckBox();
		lblVideo_DescLen = new System.Windows.Forms.Label();
		nudVideo_NameLen = new System.Windows.Forms.NumericUpDown();
		lblVideo_NameLen = new System.Windows.Forms.Label();
		nudVideo_DescLen = new System.Windows.Forms.NumericUpDown();
		tlpLogBorder = new System.Windows.Forms.TableLayoutPanel();
		tlpAttack = new System.Windows.Forms.TableLayoutPanel();
		btnGsom = new System.Windows.Forms.Button();
		btnStop = new System.Windows.Forms.Button();
		btnInitialize = new System.Windows.Forms.Button();
		ssMain = new System.Windows.Forms.StatusStrip();
		lblWallStatus = new System.Windows.Forms.ToolStripStatusLabel();
		sep1 = new System.Windows.Forms.ToolStripSeparator();
		lblTopicsStatus = new System.Windows.Forms.ToolStripStatusLabel();
		sep2 = new System.Windows.Forms.ToolStripSeparator();
		lblAlbumsStatus = new System.Windows.Forms.ToolStripStatusLabel();
		sep3 = new System.Windows.Forms.ToolStripSeparator();
		lblAudioStatus = new System.Windows.Forms.ToolStripStatusLabel();
		sep4 = new System.Windows.Forms.ToolStripSeparator();
		lblVideoStatus = new System.Windows.Forms.ToolStripStatusLabel();
		sep5 = new System.Windows.Forms.ToolStripSeparator();
		btnCopyReport = new System.Windows.Forms.ToolStripButton();
		tmrScan = new System.Windows.Forms.Timer(components);
		tray = new System.Windows.Forms.NotifyIcon(components);
		tlpInitialization.SuspendLayout();
		spltAttack.Panel1.SuspendLayout();
		spltAttack.Panel2.SuspendLayout();
		spltAttack.SuspendLayout();
		tcConfigs.SuspendLayout();
		tpWall.SuspendLayout();
		tlpWall.SuspendLayout();
		((System.ComponentModel.ISupportInitialize)nudWall_TimeInterval).BeginInit();
		((System.ComponentModel.ISupportInitialize)nudWall_MsgLen).BeginInit();
		tpTopics.SuspendLayout();
		tlpTopics.SuspendLayout();
		((System.ComponentModel.ISupportInitialize)nudTopics_TimeInterval).BeginInit();
		((System.ComponentModel.ISupportInitialize)nudTopics_TitleLen).BeginInit();
		((System.ComponentModel.ISupportInitialize)nudTopics_SubjLen).BeginInit();
		tpPhotos.SuspendLayout();
		tableLayoutPanel1.SuspendLayout();
		((System.ComponentModel.ISupportInitialize)nudAlbums_CreationTimeInterval).BeginInit();
		((System.ComponentModel.ISupportInitialize)nudAlbums_PhotoTimeInterval).BeginInit();
		tpAudio.SuspendLayout();
		tableLayoutPanel2.SuspendLayout();
		((System.ComponentModel.ISupportInitialize)nudAudio_TimeInterval).BeginInit();
		tpVideo.SuspendLayout();
		tlpVideo.SuspendLayout();
		((System.ComponentModel.ISupportInitialize)nudVideo_TimeInterval).BeginInit();
		((System.ComponentModel.ISupportInitialize)nudVideo_NameLen).BeginInit();
		((System.ComponentModel.ISupportInitialize)nudVideo_DescLen).BeginInit();
		tlpLogBorder.SuspendLayout();
		tlpAttack.SuspendLayout();
		ssMain.SuspendLayout();
		SuspendLayout();
		tlpInitialization.BackgroundImage = (System.Drawing.Image)resources.GetObject("tlpInitialization.BackgroundImage");
		tlpInitialization.BackgroundImageLayout = System.Windows.Forms.ImageLayout.Zoom;
		tlpInitialization.ColumnCount = 2;
		tlpInitialization.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle());
		tlpInitialization.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Percent, 100f));
		tlpInitialization.Controls.Add(txtGroupID, 1, 2);
		tlpInitialization.Controls.Add(rbtnAim_Group, 0, 2);
		tlpInitialization.Controls.Add(rbtnAim_Person, 0, 3);
		tlpInitialization.Controls.Add(lblClientAccount, 0, 1);
		tlpInitialization.Controls.Add(cmbClientAccount, 1, 1);
		tlpInitialization.Controls.Add(btnAccept, 1, 4);
		tlpInitialization.Controls.Add(txtPersonID, 1, 3);
		tlpInitialization.Dock = System.Windows.Forms.DockStyle.Fill;
		tlpInitialization.Location = new System.Drawing.Point(0, 0);
		tlpInitialization.Name = "tlpInitialization";
		tlpInitialization.RowCount = 5;
		tlpInitialization.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Absolute, 15f));
		tlpInitialization.RowStyles.Add(new System.Windows.Forms.RowStyle());
		tlpInitialization.RowStyles.Add(new System.Windows.Forms.RowStyle());
		tlpInitialization.RowStyles.Add(new System.Windows.Forms.RowStyle());
		tlpInitialization.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Percent, 100f));
		tlpInitialization.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Absolute, 20f));
		tlpInitialization.Size = new System.Drawing.Size(336, 354);
		tlpInitialization.TabIndex = 0;
		txtGroupID.Anchor = System.Windows.Forms.AnchorStyles.Left | System.Windows.Forms.AnchorStyles.Right;
		txtGroupID.Location = new System.Drawing.Point(104, 45);
		txtGroupID.Margin = new System.Windows.Forms.Padding(3, 3, 15, 3);
		txtGroupID.Name = "txtGroupID";
		txtGroupID.Size = new System.Drawing.Size(217, 20);
		txtGroupID.TabIndex = 0;
		rbtnAim_Group.Anchor = System.Windows.Forms.AnchorStyles.Left;
		rbtnAim_Group.AutoSize = true;
		rbtnAim_Group.BackColor = System.Drawing.Color.Transparent;
		rbtnAim_Group.Checked = true;
		rbtnAim_Group.Location = new System.Drawing.Point(20, 46);
		rbtnAim_Group.Margin = new System.Windows.Forms.Padding(20, 3, 3, 3);
		rbtnAim_Group.Name = "rbtnAim_Group";
		rbtnAim_Group.Size = new System.Drawing.Size(78, 17);
		rbtnAim_Group.TabIndex = 1;
		rbtnAim_Group.TabStop = true;
		rbtnAim_Group.Text = "ID группы:";
		rbtnAim_Group.UseVisualStyleBackColor = false;
		rbtnAim_Group.CheckedChanged += new System.EventHandler(rbtnAim_Group_CheckedChanged);
		rbtnAim_Person.AccessibleRole = System.Windows.Forms.AccessibleRole.None;
		rbtnAim_Person.Anchor = System.Windows.Forms.AnchorStyles.Left;
		rbtnAim_Person.AutoSize = true;
		rbtnAim_Person.BackColor = System.Drawing.Color.Transparent;
		rbtnAim_Person.Location = new System.Drawing.Point(20, 72);
		rbtnAim_Person.Margin = new System.Windows.Forms.Padding(20, 3, 3, 3);
		rbtnAim_Person.Name = "rbtnAim_Person";
		rbtnAim_Person.Size = new System.Drawing.Size(74, 17);
		rbtnAim_Person.TabIndex = 2;
		rbtnAim_Person.Text = "ID щачла:";
		rbtnAim_Person.UseVisualStyleBackColor = false;
		rbtnAim_Person.CheckedChanged += new System.EventHandler(rbtnAim_Person_CheckedChanged);
		lblClientAccount.Anchor = System.Windows.Forms.AnchorStyles.Right;
		lblClientAccount.AutoSize = true;
		lblClientAccount.BackColor = System.Drawing.Color.Transparent;
		lblClientAccount.Location = new System.Drawing.Point(47, 22);
		lblClientAccount.Name = "lblClientAccount";
		lblClientAccount.Size = new System.Drawing.Size(51, 13);
		lblClientAccount.TabIndex = 3;
		lblClientAccount.Text = "Аккаунт:";
		cmbClientAccount.Anchor = System.Windows.Forms.AnchorStyles.Left | System.Windows.Forms.AnchorStyles.Right;
		cmbClientAccount.FormattingEnabled = true;
		cmbClientAccount.Location = new System.Drawing.Point(104, 18);
		cmbClientAccount.Margin = new System.Windows.Forms.Padding(3, 3, 15, 3);
		cmbClientAccount.Name = "cmbClientAccount";
		cmbClientAccount.Size = new System.Drawing.Size(217, 21);
		cmbClientAccount.TabIndex = 4;
		btnAccept.Anchor = System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right;
		btnAccept.Location = new System.Drawing.Point(233, 326);
		btnAccept.Name = "btnAccept";
		btnAccept.Size = new System.Drawing.Size(100, 25);
		btnAccept.TabIndex = 5;
		btnAccept.Text = "OK >>";
		btnAccept.UseVisualStyleBackColor = true;
		btnAccept.Click += new System.EventHandler(btnAccept_Click);
		txtPersonID.Anchor = System.Windows.Forms.AnchorStyles.Left | System.Windows.Forms.AnchorStyles.Right;
		txtPersonID.Enabled = false;
		txtPersonID.Location = new System.Drawing.Point(104, 71);
		txtPersonID.Margin = new System.Windows.Forms.Padding(3, 3, 15, 3);
		txtPersonID.Name = "txtPersonID";
		txtPersonID.Size = new System.Drawing.Size(217, 20);
		txtPersonID.TabIndex = 6;
		rtxtLog.BackColor = System.Drawing.SystemColors.Window;
		rtxtLog.BorderStyle = System.Windows.Forms.BorderStyle.None;
		rtxtLog.Dock = System.Windows.Forms.DockStyle.Fill;
		rtxtLog.Font = new System.Drawing.Font("Courier New", 9f, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, 204);
		rtxtLog.Location = new System.Drawing.Point(1, 1);
		rtxtLog.Margin = new System.Windows.Forms.Padding(0);
		rtxtLog.Name = "rtxtLog";
		rtxtLog.ReadOnly = true;
		rtxtLog.Size = new System.Drawing.Size(328, 107);
		rtxtLog.TabIndex = 0;
		rtxtLog.Text = "";
		rtxtLog.WordWrap = false;
		tlpAttack.SetColumnSpan(spltAttack, 4);
		spltAttack.Dock = System.Windows.Forms.DockStyle.Fill;
		spltAttack.Location = new System.Drawing.Point(3, 3);
		spltAttack.Name = "spltAttack";
		spltAttack.Orientation = System.Windows.Forms.Orientation.Horizontal;
		spltAttack.Panel1.Controls.Add(tcConfigs);
		spltAttack.Panel2.Controls.Add(tlpLogBorder);
		spltAttack.Size = new System.Drawing.Size(330, 317);
		spltAttack.SplitterDistance = 204;
		spltAttack.TabIndex = 1;
		tcConfigs.Controls.Add(tpWall);
		tcConfigs.Controls.Add(tpTopics);
		tcConfigs.Controls.Add(tpPhotos);
		tcConfigs.Controls.Add(tpAudio);
		tcConfigs.Controls.Add(tpVideo);
		tcConfigs.Dock = System.Windows.Forms.DockStyle.Fill;
		tcConfigs.Location = new System.Drawing.Point(0, 0);
		tcConfigs.Margin = new System.Windows.Forms.Padding(3, 10, 3, 3);
		tcConfigs.Name = "tcConfigs";
		tcConfigs.SelectedIndex = 0;
		tcConfigs.Size = new System.Drawing.Size(330, 204);
		tcConfigs.TabIndex = 1;
		tpWall.Controls.Add(tlpWall);
		tpWall.Location = new System.Drawing.Point(4, 22);
		tpWall.Name = "tpWall";
		tpWall.Padding = new System.Windows.Forms.Padding(3);
		tpWall.Size = new System.Drawing.Size(322, 178);
		tpWall.TabIndex = 0;
		tpWall.Text = "Стена";
		tpWall.UseVisualStyleBackColor = true;
		tlpWall.ColumnCount = 3;
		tlpWall.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Absolute, 160f));
		tlpWall.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle());
		tlpWall.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Percent, 100f));
		tlpWall.Controls.Add(chkWall_AddASCII_Img, 0, 5);
		tlpWall.Controls.Add(nudWall_TimeInterval, 1, 1);
		tlpWall.Controls.Add(lblWall_TimeInterval, 0, 1);
		tlpWall.Controls.Add(lblWall_MsgLen, 0, 2);
		tlpWall.Controls.Add(nudWall_MsgLen, 1, 2);
		tlpWall.Controls.Add(chkWall_AddLineBreaks, 0, 4);
		tlpWall.Controls.Add(chkDoWall, 0, 0);
		tlpWall.Controls.Add(chkWall_RandomCase, 0, 6);
		tlpWall.Controls.Add(chkWall_AddGraffiti, 0, 7);
		tlpWall.Dock = System.Windows.Forms.DockStyle.Fill;
		tlpWall.Location = new System.Drawing.Point(3, 3);
		tlpWall.Name = "tlpWall";
		tlpWall.RowCount = 9;
		tlpWall.RowStyles.Add(new System.Windows.Forms.RowStyle());
		tlpWall.RowStyles.Add(new System.Windows.Forms.RowStyle());
		tlpWall.RowStyles.Add(new System.Windows.Forms.RowStyle());
		tlpWall.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Absolute, 5f));
		tlpWall.RowStyles.Add(new System.Windows.Forms.RowStyle());
		tlpWall.RowStyles.Add(new System.Windows.Forms.RowStyle());
		tlpWall.RowStyles.Add(new System.Windows.Forms.RowStyle());
		tlpWall.RowStyles.Add(new System.Windows.Forms.RowStyle());
		tlpWall.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Absolute, 20f));
		tlpWall.Size = new System.Drawing.Size(316, 172);
		tlpWall.TabIndex = 0;
		chkWall_AddASCII_Img.Anchor = System.Windows.Forms.AnchorStyles.Left;
		chkWall_AddASCII_Img.AutoSize = true;
		chkWall_AddASCII_Img.Checked = true;
		chkWall_AddASCII_Img.CheckState = System.Windows.Forms.CheckState.Checked;
		tlpWall.SetColumnSpan(chkWall_AddASCII_Img, 2);
		chkWall_AddASCII_Img.Location = new System.Drawing.Point(1, 106);
		chkWall_AddASCII_Img.Margin = new System.Windows.Forms.Padding(1);
		chkWall_AddASCII_Img.Name = "chkWall_AddASCII_Img";
		chkWall_AddASCII_Img.Size = new System.Drawing.Size(162, 17);
		chkWall_AddASCII_Img.TabIndex = 5;
		chkWall_AddASCII_Img.Text = "Добавлять ASCII картинки";
		chkWall_AddASCII_Img.UseVisualStyleBackColor = true;
		nudWall_TimeInterval.Anchor = System.Windows.Forms.AnchorStyles.Left | System.Windows.Forms.AnchorStyles.Right;
		nudWall_TimeInterval.Increment = new decimal(new int[4] { 100, 0, 0, 0 });
		nudWall_TimeInterval.Location = new System.Drawing.Point(161, 38);
		nudWall_TimeInterval.Margin = new System.Windows.Forms.Padding(1);
		nudWall_TimeInterval.Maximum = new decimal(new int[4] { 10000, 0, 0, 0 });
		nudWall_TimeInterval.Minimum = new decimal(new int[4] { 100, 0, 0, 0 });
		nudWall_TimeInterval.Name = "nudWall_TimeInterval";
		nudWall_TimeInterval.Size = new System.Drawing.Size(100, 20);
		nudWall_TimeInterval.TabIndex = 3;
		nudWall_TimeInterval.Value = new decimal(new int[4] { 500, 0, 0, 0 });
		lblWall_TimeInterval.Anchor = System.Windows.Forms.AnchorStyles.Right;
		lblWall_TimeInterval.AutoSize = true;
		lblWall_TimeInterval.Location = new System.Drawing.Point(80, 41);
		lblWall_TimeInterval.Margin = new System.Windows.Forms.Padding(1);
		lblWall_TimeInterval.Name = "lblWall_TimeInterval";
		lblWall_TimeInterval.Size = new System.Drawing.Size(79, 13);
		lblWall_TimeInterval.TabIndex = 2;
		lblWall_TimeInterval.Text = "Интервал, мс:";
		lblWall_MsgLen.Anchor = System.Windows.Forms.AnchorStyles.Right;
		lblWall_MsgLen.AutoSize = true;
		lblWall_MsgLen.Location = new System.Drawing.Point(55, 63);
		lblWall_MsgLen.Margin = new System.Windows.Forms.Padding(1);
		lblWall_MsgLen.Name = "lblWall_MsgLen";
		lblWall_MsgLen.Size = new System.Drawing.Size(104, 13);
		lblWall_MsgLen.TabIndex = 0;
		lblWall_MsgLen.Text = "Длина лучепоноса:";
		nudWall_MsgLen.Anchor = System.Windows.Forms.AnchorStyles.Left | System.Windows.Forms.AnchorStyles.Right;
		nudWall_MsgLen.Increment = new decimal(new int[4] { 500, 0, 0, 0 });
		nudWall_MsgLen.Location = new System.Drawing.Point(161, 60);
		nudWall_MsgLen.Margin = new System.Windows.Forms.Padding(1);
		nudWall_MsgLen.Maximum = new decimal(new int[4] { 6000, 0, 0, 0 });
		nudWall_MsgLen.Minimum = new decimal(new int[4] { 100, 0, 0, 0 });
		nudWall_MsgLen.Name = "nudWall_MsgLen";
		nudWall_MsgLen.Size = new System.Drawing.Size(100, 20);
		nudWall_MsgLen.TabIndex = 1;
		nudWall_MsgLen.Value = new decimal(new int[4] { 3000, 0, 0, 0 });
		chkWall_AddLineBreaks.Anchor = System.Windows.Forms.AnchorStyles.Left;
		chkWall_AddLineBreaks.AutoSize = true;
		chkWall_AddLineBreaks.Checked = true;
		chkWall_AddLineBreaks.CheckState = System.Windows.Forms.CheckState.Checked;
		tlpWall.SetColumnSpan(chkWall_AddLineBreaks, 2);
		chkWall_AddLineBreaks.Location = new System.Drawing.Point(1, 87);
		chkWall_AddLineBreaks.Margin = new System.Windows.Forms.Padding(1);
		chkWall_AddLineBreaks.Name = "chkWall_AddLineBreaks";
		chkWall_AddLineBreaks.Size = new System.Drawing.Size(135, 17);
		chkWall_AddLineBreaks.TabIndex = 4;
		chkWall_AddLineBreaks.Text = "Доп. переносы строк";
		chkWall_AddLineBreaks.UseVisualStyleBackColor = true;
		chkDoWall.Anchor = System.Windows.Forms.AnchorStyles.Left;
		chkDoWall.AutoSize = true;
		chkDoWall.Checked = true;
		chkDoWall.CheckState = System.Windows.Forms.CheckState.Checked;
		tlpWall.SetColumnSpan(chkDoWall, 2);
		chkDoWall.Location = new System.Drawing.Point(1, 10);
		chkDoWall.Margin = new System.Windows.Forms.Padding(1, 10, 1, 10);
		chkDoWall.Name = "chkDoWall";
		chkDoWall.Size = new System.Drawing.Size(93, 17);
		chkDoWall.TabIndex = 7;
		chkDoWall.Text = "Пячить стену";
		chkDoWall.UseVisualStyleBackColor = true;
		chkWall_RandomCase.Anchor = System.Windows.Forms.AnchorStyles.Left;
		chkWall_RandomCase.AutoSize = true;
		chkWall_RandomCase.Checked = true;
		chkWall_RandomCase.CheckState = System.Windows.Forms.CheckState.Checked;
		tlpWall.SetColumnSpan(chkWall_RandomCase, 2);
		chkWall_RandomCase.Location = new System.Drawing.Point(1, 125);
		chkWall_RandomCase.Margin = new System.Windows.Forms.Padding(1);
		chkWall_RandomCase.Name = "chkWall_RandomCase";
		chkWall_RandomCase.Size = new System.Drawing.Size(124, 17);
		chkWall_RandomCase.TabIndex = 8;
		chkWall_RandomCase.Text = "Случайный регистр";
		chkWall_RandomCase.UseVisualStyleBackColor = true;
		chkWall_AddGraffiti.Anchor = System.Windows.Forms.AnchorStyles.Left;
		chkWall_AddGraffiti.AutoSize = true;
		tlpWall.SetColumnSpan(chkWall_AddGraffiti, 2);
		chkWall_AddGraffiti.Location = new System.Drawing.Point(1, 144);
		chkWall_AddGraffiti.Margin = new System.Windows.Forms.Padding(1);
		chkWall_AddGraffiti.Name = "chkWall_AddGraffiti";
		chkWall_AddGraffiti.Size = new System.Drawing.Size(171, 17);
		chkWall_AddGraffiti.TabIndex = 6;
		chkWall_AddGraffiti.Text = "Постить картинки-граффити";
		chkWall_AddGraffiti.UseVisualStyleBackColor = true;
		tpTopics.Controls.Add(tlpTopics);
		tpTopics.Location = new System.Drawing.Point(4, 22);
		tpTopics.Name = "tpTopics";
		tpTopics.Padding = new System.Windows.Forms.Padding(3);
		tpTopics.Size = new System.Drawing.Size(322, 178);
		tpTopics.TabIndex = 1;
		tpTopics.Text = "Обсуждения";
		tpTopics.UseVisualStyleBackColor = true;
		tlpTopics.ColumnCount = 3;
		tlpTopics.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Absolute, 160f));
		tlpTopics.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle());
		tlpTopics.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Percent, 100f));
		tlpTopics.Controls.Add(chkTopics_RandomCase, 0, 7);
		tlpTopics.Controls.Add(chkTopics_AddASCII_Img, 0, 6);
		tlpTopics.Controls.Add(lblTopics_TimeInterval, 0, 1);
		tlpTopics.Controls.Add(nudTopics_TimeInterval, 1, 1);
		tlpTopics.Controls.Add(lblTopics_TitleLen, 0, 2);
		tlpTopics.Controls.Add(nudTopics_TitleLen, 1, 2);
		tlpTopics.Controls.Add(lblTopics_SubjLen, 0, 3);
		tlpTopics.Controls.Add(nudTopics_SubjLen, 1, 3);
		tlpTopics.Controls.Add(chkTopics_AddLineBreaks, 0, 5);
		tlpTopics.Controls.Add(chkDoTopics, 0, 0);
		tlpTopics.Dock = System.Windows.Forms.DockStyle.Fill;
		tlpTopics.Location = new System.Drawing.Point(3, 3);
		tlpTopics.Name = "tlpTopics";
		tlpTopics.RowCount = 9;
		tlpTopics.RowStyles.Add(new System.Windows.Forms.RowStyle());
		tlpTopics.RowStyles.Add(new System.Windows.Forms.RowStyle());
		tlpTopics.RowStyles.Add(new System.Windows.Forms.RowStyle());
		tlpTopics.RowStyles.Add(new System.Windows.Forms.RowStyle());
		tlpTopics.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Absolute, 5f));
		tlpTopics.RowStyles.Add(new System.Windows.Forms.RowStyle());
		tlpTopics.RowStyles.Add(new System.Windows.Forms.RowStyle());
		tlpTopics.RowStyles.Add(new System.Windows.Forms.RowStyle());
		tlpTopics.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Absolute, 20f));
		tlpTopics.Size = new System.Drawing.Size(316, 172);
		tlpTopics.TabIndex = 1;
		chkTopics_RandomCase.Anchor = System.Windows.Forms.AnchorStyles.Left;
		chkTopics_RandomCase.AutoSize = true;
		chkTopics_RandomCase.Checked = true;
		chkTopics_RandomCase.CheckState = System.Windows.Forms.CheckState.Checked;
		tlpTopics.SetColumnSpan(chkTopics_RandomCase, 2);
		chkTopics_RandomCase.Location = new System.Drawing.Point(1, 147);
		chkTopics_RandomCase.Margin = new System.Windows.Forms.Padding(1);
		chkTopics_RandomCase.Name = "chkTopics_RandomCase";
		chkTopics_RandomCase.Size = new System.Drawing.Size(124, 17);
		chkTopics_RandomCase.TabIndex = 12;
		chkTopics_RandomCase.Text = "Случайный регистр";
		chkTopics_RandomCase.UseVisualStyleBackColor = true;
		chkTopics_AddASCII_Img.Anchor = System.Windows.Forms.AnchorStyles.Left;
		chkTopics_AddASCII_Img.AutoSize = true;
		chkTopics_AddASCII_Img.Checked = true;
		chkTopics_AddASCII_Img.CheckState = System.Windows.Forms.CheckState.Checked;
		tlpTopics.SetColumnSpan(chkTopics_AddASCII_Img, 2);
		chkTopics_AddASCII_Img.Location = new System.Drawing.Point(1, 128);
		chkTopics_AddASCII_Img.Margin = new System.Windows.Forms.Padding(1);
		chkTopics_AddASCII_Img.Name = "chkTopics_AddASCII_Img";
		chkTopics_AddASCII_Img.Size = new System.Drawing.Size(162, 17);
		chkTopics_AddASCII_Img.TabIndex = 10;
		chkTopics_AddASCII_Img.Text = "Добавлять ASCII картинки";
		chkTopics_AddASCII_Img.UseVisualStyleBackColor = true;
		lblTopics_TimeInterval.Anchor = System.Windows.Forms.AnchorStyles.Right;
		lblTopics_TimeInterval.AutoSize = true;
		lblTopics_TimeInterval.Location = new System.Drawing.Point(80, 41);
		lblTopics_TimeInterval.Margin = new System.Windows.Forms.Padding(1);
		lblTopics_TimeInterval.Name = "lblTopics_TimeInterval";
		lblTopics_TimeInterval.Size = new System.Drawing.Size(79, 13);
		lblTopics_TimeInterval.TabIndex = 3;
		lblTopics_TimeInterval.Text = "Интервал, мс:";
		nudTopics_TimeInterval.Anchor = System.Windows.Forms.AnchorStyles.Left | System.Windows.Forms.AnchorStyles.Right;
		nudTopics_TimeInterval.Increment = new decimal(new int[4] { 100, 0, 0, 0 });
		nudTopics_TimeInterval.Location = new System.Drawing.Point(161, 38);
		nudTopics_TimeInterval.Margin = new System.Windows.Forms.Padding(1);
		nudTopics_TimeInterval.Maximum = new decimal(new int[4] { 10000, 0, 0, 0 });
		nudTopics_TimeInterval.Minimum = new decimal(new int[4] { 100, 0, 0, 0 });
		nudTopics_TimeInterval.Name = "nudTopics_TimeInterval";
		nudTopics_TimeInterval.Size = new System.Drawing.Size(100, 20);
		nudTopics_TimeInterval.TabIndex = 4;
		nudTopics_TimeInterval.Value = new decimal(new int[4] { 3000, 0, 0, 0 });
		lblTopics_TitleLen.Anchor = System.Windows.Forms.AnchorStyles.Right;
		lblTopics_TitleLen.AutoSize = true;
		lblTopics_TitleLen.Location = new System.Drawing.Point(54, 63);
		lblTopics_TitleLen.Margin = new System.Windows.Forms.Padding(1);
		lblTopics_TitleLen.Name = "lblTopics_TitleLen";
		lblTopics_TitleLen.Size = new System.Drawing.Size(105, 13);
		lblTopics_TitleLen.TabIndex = 6;
		lblTopics_TitleLen.Text = "Длина заголовков:";
		nudTopics_TitleLen.Anchor = System.Windows.Forms.AnchorStyles.Left | System.Windows.Forms.AnchorStyles.Right;
		nudTopics_TitleLen.Increment = new decimal(new int[4] { 100, 0, 0, 0 });
		nudTopics_TitleLen.Location = new System.Drawing.Point(161, 60);
		nudTopics_TitleLen.Margin = new System.Windows.Forms.Padding(1);
		nudTopics_TitleLen.Maximum = new decimal(new int[4] { 10000, 0, 0, 0 });
		nudTopics_TitleLen.Minimum = new decimal(new int[4] { 100, 0, 0, 0 });
		nudTopics_TitleLen.Name = "nudTopics_TitleLen";
		nudTopics_TitleLen.Size = new System.Drawing.Size(100, 20);
		nudTopics_TitleLen.TabIndex = 7;
		nudTopics_TitleLen.Value = new decimal(new int[4] { 300, 0, 0, 0 });
		lblTopics_SubjLen.Anchor = System.Windows.Forms.AnchorStyles.Right;
		lblTopics_SubjLen.AutoSize = true;
		lblTopics_SubjLen.Location = new System.Drawing.Point(81, 85);
		lblTopics_SubjLen.Margin = new System.Windows.Forms.Padding(1);
		lblTopics_SubjLen.Name = "lblTopics_SubjLen";
		lblTopics_SubjLen.Size = new System.Drawing.Size(78, 13);
		lblTopics_SubjLen.TabIndex = 8;
		lblTopics_SubjLen.Text = "Длина сабжа:";
		nudTopics_SubjLen.Anchor = System.Windows.Forms.AnchorStyles.Left | System.Windows.Forms.AnchorStyles.Right;
		nudTopics_SubjLen.Increment = new decimal(new int[4] { 100, 0, 0, 0 });
		nudTopics_SubjLen.Location = new System.Drawing.Point(161, 82);
		nudTopics_SubjLen.Margin = new System.Windows.Forms.Padding(1);
		nudTopics_SubjLen.Maximum = new decimal(new int[4] { 10000, 0, 0, 0 });
		nudTopics_SubjLen.Minimum = new decimal(new int[4] { 100, 0, 0, 0 });
		nudTopics_SubjLen.Name = "nudTopics_SubjLen";
		nudTopics_SubjLen.Size = new System.Drawing.Size(100, 20);
		nudTopics_SubjLen.TabIndex = 9;
		nudTopics_SubjLen.Value = new decimal(new int[4] { 1000, 0, 0, 0 });
		chkTopics_AddLineBreaks.Anchor = System.Windows.Forms.AnchorStyles.Left;
		chkTopics_AddLineBreaks.AutoSize = true;
		chkTopics_AddLineBreaks.Checked = true;
		chkTopics_AddLineBreaks.CheckState = System.Windows.Forms.CheckState.Checked;
		tlpTopics.SetColumnSpan(chkTopics_AddLineBreaks, 2);
		chkTopics_AddLineBreaks.Location = new System.Drawing.Point(1, 109);
		chkTopics_AddLineBreaks.Margin = new System.Windows.Forms.Padding(1);
		chkTopics_AddLineBreaks.Name = "chkTopics_AddLineBreaks";
		chkTopics_AddLineBreaks.Size = new System.Drawing.Size(135, 17);
		chkTopics_AddLineBreaks.TabIndex = 5;
		chkTopics_AddLineBreaks.Text = "Доп. переносы строк";
		chkTopics_AddLineBreaks.UseVisualStyleBackColor = true;
		chkDoTopics.Anchor = System.Windows.Forms.AnchorStyles.Left;
		chkDoTopics.AutoSize = true;
		chkDoTopics.Checked = true;
		chkDoTopics.CheckState = System.Windows.Forms.CheckState.Checked;
		tlpTopics.SetColumnSpan(chkDoTopics, 2);
		chkDoTopics.Location = new System.Drawing.Point(1, 10);
		chkDoTopics.Margin = new System.Windows.Forms.Padding(1, 10, 1, 10);
		chkDoTopics.Name = "chkDoTopics";
		chkDoTopics.Size = new System.Drawing.Size(126, 17);
		chkDoTopics.TabIndex = 11;
		chkDoTopics.Text = "Пячить обсуждения";
		chkDoTopics.UseVisualStyleBackColor = true;
		tpPhotos.Controls.Add(tableLayoutPanel1);
		tpPhotos.Location = new System.Drawing.Point(4, 22);
		tpPhotos.Name = "tpPhotos";
		tpPhotos.Padding = new System.Windows.Forms.Padding(3);
		tpPhotos.Size = new System.Drawing.Size(322, 178);
		tpPhotos.TabIndex = 2;
		tpPhotos.Text = "Альбомы";
		tpPhotos.UseVisualStyleBackColor = true;
		tableLayoutPanel1.ColumnCount = 3;
		tableLayoutPanel1.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Absolute, 160f));
		tableLayoutPanel1.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle());
		tableLayoutPanel1.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Percent, 100f));
		tableLayoutPanel1.Controls.Add(chkAlbums_AttackTodayCreated, 0, 7);
		tableLayoutPanel1.Controls.Add(chkAlbums_RandomCase, 0, 6);
		tableLayoutPanel1.Controls.Add(chkAlbums_AddASCII_Img, 0, 5);
		tableLayoutPanel1.Controls.Add(lblAlbums_CreationTimeInterval, 0, 1);
		tableLayoutPanel1.Controls.Add(nudAlbums_CreationTimeInterval, 1, 1);
		tableLayoutPanel1.Controls.Add(lblAlbums_PhotoTimeInterval, 0, 2);
		tableLayoutPanel1.Controls.Add(nudAlbums_PhotoTimeInterval, 1, 2);
		tableLayoutPanel1.Controls.Add(chkAlbums_AddLineBreaks, 0, 4);
		tableLayoutPanel1.Controls.Add(chkDoAlbums, 0, 0);
		tableLayoutPanel1.Dock = System.Windows.Forms.DockStyle.Fill;
		tableLayoutPanel1.Location = new System.Drawing.Point(3, 3);
		tableLayoutPanel1.Name = "tableLayoutPanel1";
		tableLayoutPanel1.RowCount = 9;
		tableLayoutPanel1.RowStyles.Add(new System.Windows.Forms.RowStyle());
		tableLayoutPanel1.RowStyles.Add(new System.Windows.Forms.RowStyle());
		tableLayoutPanel1.RowStyles.Add(new System.Windows.Forms.RowStyle());
		tableLayoutPanel1.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Absolute, 5f));
		tableLayoutPanel1.RowStyles.Add(new System.Windows.Forms.RowStyle());
		tableLayoutPanel1.RowStyles.Add(new System.Windows.Forms.RowStyle());
		tableLayoutPanel1.RowStyles.Add(new System.Windows.Forms.RowStyle());
		tableLayoutPanel1.RowStyles.Add(new System.Windows.Forms.RowStyle());
		tableLayoutPanel1.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Absolute, 20f));
		tableLayoutPanel1.Size = new System.Drawing.Size(316, 172);
		tableLayoutPanel1.TabIndex = 2;
		chkAlbums_AttackTodayCreated.Anchor = System.Windows.Forms.AnchorStyles.Left;
		chkAlbums_AttackTodayCreated.AutoSize = true;
		tableLayoutPanel1.SetColumnSpan(chkAlbums_AttackTodayCreated, 2);
		chkAlbums_AttackTodayCreated.Location = new System.Drawing.Point(1, 144);
		chkAlbums_AttackTodayCreated.Margin = new System.Windows.Forms.Padding(1);
		chkAlbums_AttackTodayCreated.Name = "chkAlbums_AttackTodayCreated";
		chkAlbums_AttackTodayCreated.Size = new System.Drawing.Size(181, 17);
		chkAlbums_AttackTodayCreated.TabIndex = 14;
		chkAlbums_AttackTodayCreated.Text = "Пячить сегодняшние альбомы";
		chkAlbums_AttackTodayCreated.UseVisualStyleBackColor = true;
		chkAlbums_RandomCase.Anchor = System.Windows.Forms.AnchorStyles.Left;
		chkAlbums_RandomCase.AutoSize = true;
		chkAlbums_RandomCase.Checked = true;
		chkAlbums_RandomCase.CheckState = System.Windows.Forms.CheckState.Checked;
		tableLayoutPanel1.SetColumnSpan(chkAlbums_RandomCase, 2);
		chkAlbums_RandomCase.Location = new System.Drawing.Point(1, 125);
		chkAlbums_RandomCase.Margin = new System.Windows.Forms.Padding(1);
		chkAlbums_RandomCase.Name = "chkAlbums_RandomCase";
		chkAlbums_RandomCase.Size = new System.Drawing.Size(124, 17);
		chkAlbums_RandomCase.TabIndex = 13;
		chkAlbums_RandomCase.Text = "Случайный регистр";
		chkAlbums_RandomCase.UseVisualStyleBackColor = true;
		chkAlbums_AddASCII_Img.Anchor = System.Windows.Forms.AnchorStyles.Left;
		chkAlbums_AddASCII_Img.AutoSize = true;
		tableLayoutPanel1.SetColumnSpan(chkAlbums_AddASCII_Img, 2);
		chkAlbums_AddASCII_Img.Location = new System.Drawing.Point(1, 106);
		chkAlbums_AddASCII_Img.Margin = new System.Windows.Forms.Padding(1);
		chkAlbums_AddASCII_Img.Name = "chkAlbums_AddASCII_Img";
		chkAlbums_AddASCII_Img.Size = new System.Drawing.Size(162, 17);
		chkAlbums_AddASCII_Img.TabIndex = 10;
		chkAlbums_AddASCII_Img.Text = "Добавлять ASCII картинки";
		chkAlbums_AddASCII_Img.UseVisualStyleBackColor = true;
		lblAlbums_CreationTimeInterval.Anchor = System.Windows.Forms.AnchorStyles.Right;
		lblAlbums_CreationTimeInterval.AutoSize = true;
		lblAlbums_CreationTimeInterval.Location = new System.Drawing.Point(29, 41);
		lblAlbums_CreationTimeInterval.Margin = new System.Windows.Forms.Padding(1);
		lblAlbums_CreationTimeInterval.Name = "lblAlbums_CreationTimeInterval";
		lblAlbums_CreationTimeInterval.Size = new System.Drawing.Size(130, 13);
		lblAlbums_CreationTimeInterval.TabIndex = 3;
		lblAlbums_CreationTimeInterval.Text = "Интервал создания, мс:";
		nudAlbums_CreationTimeInterval.Anchor = System.Windows.Forms.AnchorStyles.Left | System.Windows.Forms.AnchorStyles.Right;
		nudAlbums_CreationTimeInterval.Increment = new decimal(new int[4] { 100, 0, 0, 0 });
		nudAlbums_CreationTimeInterval.Location = new System.Drawing.Point(161, 38);
		nudAlbums_CreationTimeInterval.Margin = new System.Windows.Forms.Padding(1);
		nudAlbums_CreationTimeInterval.Maximum = new decimal(new int[4] { 10000, 0, 0, 0 });
		nudAlbums_CreationTimeInterval.Minimum = new decimal(new int[4] { 100, 0, 0, 0 });
		nudAlbums_CreationTimeInterval.Name = "nudAlbums_CreationTimeInterval";
		nudAlbums_CreationTimeInterval.Size = new System.Drawing.Size(100, 20);
		nudAlbums_CreationTimeInterval.TabIndex = 4;
		nudAlbums_CreationTimeInterval.Value = new decimal(new int[4] { 5000, 0, 0, 0 });
		lblAlbums_PhotoTimeInterval.Anchor = System.Windows.Forms.AnchorStyles.Right;
		lblAlbums_PhotoTimeInterval.AutoSize = true;
		lblAlbums_PhotoTimeInterval.Location = new System.Drawing.Point(28, 63);
		lblAlbums_PhotoTimeInterval.Margin = new System.Windows.Forms.Padding(1);
		lblAlbums_PhotoTimeInterval.Name = "lblAlbums_PhotoTimeInterval";
		lblAlbums_PhotoTimeInterval.Size = new System.Drawing.Size(131, 13);
		lblAlbums_PhotoTimeInterval.TabIndex = 8;
		lblAlbums_PhotoTimeInterval.Text = "Интервал доб. фото, мс:";
		nudAlbums_PhotoTimeInterval.Anchor = System.Windows.Forms.AnchorStyles.Left;
		nudAlbums_PhotoTimeInterval.Increment = new decimal(new int[4] { 100, 0, 0, 0 });
		nudAlbums_PhotoTimeInterval.Location = new System.Drawing.Point(161, 60);
		nudAlbums_PhotoTimeInterval.Margin = new System.Windows.Forms.Padding(1);
		nudAlbums_PhotoTimeInterval.Maximum = new decimal(new int[4] { 10000, 0, 0, 0 });
		nudAlbums_PhotoTimeInterval.Name = "nudAlbums_PhotoTimeInterval";
		nudAlbums_PhotoTimeInterval.Size = new System.Drawing.Size(100, 20);
		nudAlbums_PhotoTimeInterval.TabIndex = 9;
		nudAlbums_PhotoTimeInterval.Value = new decimal(new int[4] { 100, 0, 0, 0 });
		chkAlbums_AddLineBreaks.Anchor = System.Windows.Forms.AnchorStyles.Left;
		chkAlbums_AddLineBreaks.AutoSize = true;
		chkAlbums_AddLineBreaks.Checked = true;
		chkAlbums_AddLineBreaks.CheckState = System.Windows.Forms.CheckState.Checked;
		tableLayoutPanel1.SetColumnSpan(chkAlbums_AddLineBreaks, 2);
		chkAlbums_AddLineBreaks.Location = new System.Drawing.Point(1, 87);
		chkAlbums_AddLineBreaks.Margin = new System.Windows.Forms.Padding(1);
		chkAlbums_AddLineBreaks.Name = "chkAlbums_AddLineBreaks";
		chkAlbums_AddLineBreaks.Size = new System.Drawing.Size(135, 17);
		chkAlbums_AddLineBreaks.TabIndex = 5;
		chkAlbums_AddLineBreaks.Text = "Доп. переносы строк";
		chkAlbums_AddLineBreaks.UseVisualStyleBackColor = true;
		chkDoAlbums.Anchor = System.Windows.Forms.AnchorStyles.Left;
		chkDoAlbums.AutoSize = true;
		chkDoAlbums.Checked = true;
		chkDoAlbums.CheckState = System.Windows.Forms.CheckState.Checked;
		tableLayoutPanel1.SetColumnSpan(chkDoAlbums, 2);
		chkDoAlbums.Location = new System.Drawing.Point(1, 10);
		chkDoAlbums.Margin = new System.Windows.Forms.Padding(1, 10, 1, 10);
		chkDoAlbums.Name = "chkDoAlbums";
		chkDoAlbums.Size = new System.Drawing.Size(111, 17);
		chkDoAlbums.TabIndex = 11;
		chkDoAlbums.Text = "Пячить альбомы";
		chkDoAlbums.UseVisualStyleBackColor = true;
		tpAudio.Controls.Add(tableLayoutPanel2);
		tpAudio.Location = new System.Drawing.Point(4, 22);
		tpAudio.Name = "tpAudio";
		tpAudio.Padding = new System.Windows.Forms.Padding(3);
		tpAudio.Size = new System.Drawing.Size(322, 178);
		tpAudio.TabIndex = 3;
		tpAudio.Text = "Аудио";
		tpAudio.UseVisualStyleBackColor = true;
		tableLayoutPanel2.ColumnCount = 3;
		tableLayoutPanel2.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Absolute, 160f));
		tableLayoutPanel2.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle());
		tableLayoutPanel2.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Percent, 100f));
		tableLayoutPanel2.Controls.Add(nudAudio_TimeInterval, 1, 1);
		tableLayoutPanel2.Controls.Add(lblAudio_TimeInterval, 0, 1);
		tableLayoutPanel2.Controls.Add(chkDoAudio, 0, 0);
		tableLayoutPanel2.Dock = System.Windows.Forms.DockStyle.Fill;
		tableLayoutPanel2.Location = new System.Drawing.Point(3, 3);
		tableLayoutPanel2.Name = "tableLayoutPanel2";
		tableLayoutPanel2.RowCount = 3;
		tableLayoutPanel2.RowStyles.Add(new System.Windows.Forms.RowStyle());
		tableLayoutPanel2.RowStyles.Add(new System.Windows.Forms.RowStyle());
		tableLayoutPanel2.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Absolute, 20f));
		tableLayoutPanel2.Size = new System.Drawing.Size(316, 172);
		tableLayoutPanel2.TabIndex = 1;
		nudAudio_TimeInterval.Anchor = System.Windows.Forms.AnchorStyles.Left | System.Windows.Forms.AnchorStyles.Right;
		nudAudio_TimeInterval.Increment = new decimal(new int[4] { 100, 0, 0, 0 });
		nudAudio_TimeInterval.Location = new System.Drawing.Point(161, 38);
		nudAudio_TimeInterval.Margin = new System.Windows.Forms.Padding(1);
		nudAudio_TimeInterval.Maximum = new decimal(new int[4] { 10000, 0, 0, 0 });
		nudAudio_TimeInterval.Name = "nudAudio_TimeInterval";
		nudAudio_TimeInterval.Size = new System.Drawing.Size(100, 20);
		nudAudio_TimeInterval.TabIndex = 3;
		nudAudio_TimeInterval.Value = new decimal(new int[4] { 100, 0, 0, 0 });
		lblAudio_TimeInterval.Anchor = System.Windows.Forms.AnchorStyles.Right;
		lblAudio_TimeInterval.AutoSize = true;
		lblAudio_TimeInterval.Location = new System.Drawing.Point(80, 41);
		lblAudio_TimeInterval.Margin = new System.Windows.Forms.Padding(1);
		lblAudio_TimeInterval.Name = "lblAudio_TimeInterval";
		lblAudio_TimeInterval.Size = new System.Drawing.Size(79, 13);
		lblAudio_TimeInterval.TabIndex = 2;
		lblAudio_TimeInterval.Text = "Интервал, мс:";
		chkDoAudio.Anchor = System.Windows.Forms.AnchorStyles.Left;
		chkDoAudio.AutoSize = true;
		chkDoAudio.Checked = true;
		chkDoAudio.CheckState = System.Windows.Forms.CheckState.Checked;
		tableLayoutPanel2.SetColumnSpan(chkDoAudio, 2);
		chkDoAudio.Location = new System.Drawing.Point(1, 10);
		chkDoAudio.Margin = new System.Windows.Forms.Padding(1, 10, 1, 10);
		chkDoAudio.Name = "chkDoAudio";
		chkDoAudio.Size = new System.Drawing.Size(94, 17);
		chkDoAudio.TabIndex = 7;
		chkDoAudio.Text = "Пячить аудио";
		chkDoAudio.UseVisualStyleBackColor = true;
		tpVideo.Controls.Add(tlpVideo);
		tpVideo.Location = new System.Drawing.Point(4, 22);
		tpVideo.Name = "tpVideo";
		tpVideo.Padding = new System.Windows.Forms.Padding(3);
		tpVideo.Size = new System.Drawing.Size(322, 178);
		tpVideo.TabIndex = 4;
		tpVideo.Text = "Видео";
		tpVideo.UseVisualStyleBackColor = true;
		tlpVideo.ColumnCount = 3;
		tlpVideo.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Absolute, 140f));
		tlpVideo.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle());
		tlpVideo.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Absolute, 20f));
		tlpVideo.Controls.Add(nudVideo_TimeInterval, 1, 2);
		tlpVideo.Controls.Add(lblVideo_TimeInterval, 0, 2);
		tlpVideo.Controls.Add(chkDoVideo, 0, 0);
		tlpVideo.Controls.Add(chkVideo_NotAjax, 0, 1);
		tlpVideo.Controls.Add(lblVideo_DescLen, 0, 4);
		tlpVideo.Controls.Add(nudVideo_NameLen, 1, 3);
		tlpVideo.Controls.Add(lblVideo_NameLen, 0, 3);
		tlpVideo.Controls.Add(nudVideo_DescLen, 1, 4);
		tlpVideo.Dock = System.Windows.Forms.DockStyle.Fill;
		tlpVideo.Location = new System.Drawing.Point(3, 3);
		tlpVideo.Name = "tlpVideo";
		tlpVideo.RowCount = 6;
		tlpVideo.RowStyles.Add(new System.Windows.Forms.RowStyle());
		tlpVideo.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Absolute, 20f));
		tlpVideo.RowStyles.Add(new System.Windows.Forms.RowStyle());
		tlpVideo.RowStyles.Add(new System.Windows.Forms.RowStyle());
		tlpVideo.RowStyles.Add(new System.Windows.Forms.RowStyle());
		tlpVideo.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Percent, 100f));
		tlpVideo.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Absolute, 20f));
		tlpVideo.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Absolute, 20f));
		tlpVideo.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Absolute, 20f));
		tlpVideo.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Absolute, 20f));
		tlpVideo.Size = new System.Drawing.Size(316, 172);
		tlpVideo.TabIndex = 2;
		nudVideo_TimeInterval.Anchor = System.Windows.Forms.AnchorStyles.Left | System.Windows.Forms.AnchorStyles.Right;
		nudVideo_TimeInterval.Increment = new decimal(new int[4] { 100, 0, 0, 0 });
		nudVideo_TimeInterval.Location = new System.Drawing.Point(141, 58);
		nudVideo_TimeInterval.Margin = new System.Windows.Forms.Padding(1);
		nudVideo_TimeInterval.Maximum = new decimal(new int[4] { 10000, 0, 0, 0 });
		nudVideo_TimeInterval.Minimum = new decimal(new int[4] { 100, 0, 0, 0 });
		nudVideo_TimeInterval.Name = "nudVideo_TimeInterval";
		nudVideo_TimeInterval.Size = new System.Drawing.Size(100, 20);
		nudVideo_TimeInterval.TabIndex = 3;
		nudVideo_TimeInterval.Value = new decimal(new int[4] { 5000, 0, 0, 0 });
		lblVideo_TimeInterval.Anchor = System.Windows.Forms.AnchorStyles.Right;
		lblVideo_TimeInterval.AutoSize = true;
		lblVideo_TimeInterval.Location = new System.Drawing.Point(60, 61);
		lblVideo_TimeInterval.Margin = new System.Windows.Forms.Padding(1);
		lblVideo_TimeInterval.Name = "lblVideo_TimeInterval";
		lblVideo_TimeInterval.Size = new System.Drawing.Size(79, 13);
		lblVideo_TimeInterval.TabIndex = 2;
		lblVideo_TimeInterval.Text = "Интервал, мс:";
		chkDoVideo.Anchor = System.Windows.Forms.AnchorStyles.Left;
		chkDoVideo.AutoSize = true;
		chkDoVideo.Checked = true;
		chkDoVideo.CheckState = System.Windows.Forms.CheckState.Checked;
		tlpVideo.SetColumnSpan(chkDoVideo, 2);
		chkDoVideo.Location = new System.Drawing.Point(1, 10);
		chkDoVideo.Margin = new System.Windows.Forms.Padding(1, 10, 1, 10);
		chkDoVideo.Name = "chkDoVideo";
		chkDoVideo.Size = new System.Drawing.Size(95, 17);
		chkDoVideo.TabIndex = 7;
		chkDoVideo.Text = "Пячить видео";
		chkDoVideo.UseVisualStyleBackColor = true;
		chkVideo_NotAjax.Anchor = System.Windows.Forms.AnchorStyles.Left;
		chkVideo_NotAjax.AutoSize = true;
		chkVideo_NotAjax.Checked = true;
		chkVideo_NotAjax.CheckState = System.Windows.Forms.CheckState.Checked;
		tlpVideo.SetColumnSpan(chkVideo_NotAjax, 2);
		chkVideo_NotAjax.Location = new System.Drawing.Point(1, 38);
		chkVideo_NotAjax.Margin = new System.Windows.Forms.Padding(1);
		chkVideo_NotAjax.Name = "chkVideo_NotAjax";
		chkVideo_NotAjax.Size = new System.Drawing.Size(138, 17);
		chkVideo_NotAjax.TabIndex = 9;
		chkVideo_NotAjax.Text = "НЕ использовать Ajax";
		chkVideo_NotAjax.UseVisualStyleBackColor = true;
		lblVideo_DescLen.Anchor = System.Windows.Forms.AnchorStyles.Right;
		lblVideo_DescLen.AutoSize = true;
		lblVideo_DescLen.Location = new System.Drawing.Point(45, 105);
		lblVideo_DescLen.Margin = new System.Windows.Forms.Padding(1);
		lblVideo_DescLen.Name = "lblVideo_DescLen";
		lblVideo_DescLen.Size = new System.Drawing.Size(94, 13);
		lblVideo_DescLen.TabIndex = 12;
		lblVideo_DescLen.Text = "Длина описания:";
		nudVideo_NameLen.Anchor = System.Windows.Forms.AnchorStyles.Left | System.Windows.Forms.AnchorStyles.Right;
		nudVideo_NameLen.Increment = new decimal(new int[4] { 100, 0, 0, 0 });
		nudVideo_NameLen.Location = new System.Drawing.Point(141, 80);
		nudVideo_NameLen.Margin = new System.Windows.Forms.Padding(1);
		nudVideo_NameLen.Maximum = new decimal(new int[4] { 10000, 0, 0, 0 });
		nudVideo_NameLen.Minimum = new decimal(new int[4] { 10, 0, 0, 0 });
		nudVideo_NameLen.Name = "nudVideo_NameLen";
		nudVideo_NameLen.Size = new System.Drawing.Size(100, 20);
		nudVideo_NameLen.TabIndex = 11;
		nudVideo_NameLen.Value = new decimal(new int[4] { 100, 0, 0, 0 });
		lblVideo_NameLen.Anchor = System.Windows.Forms.AnchorStyles.Right;
		lblVideo_NameLen.AutoSize = true;
		lblVideo_NameLen.Location = new System.Drawing.Point(45, 83);
		lblVideo_NameLen.Margin = new System.Windows.Forms.Padding(1);
		lblVideo_NameLen.Name = "lblVideo_NameLen";
		lblVideo_NameLen.Size = new System.Drawing.Size(94, 13);
		lblVideo_NameLen.TabIndex = 10;
		lblVideo_NameLen.Text = "Длина названия:";
		nudVideo_DescLen.Anchor = System.Windows.Forms.AnchorStyles.Left;
		nudVideo_DescLen.Increment = new decimal(new int[4] { 100, 0, 0, 0 });
		nudVideo_DescLen.Location = new System.Drawing.Point(141, 102);
		nudVideo_DescLen.Margin = new System.Windows.Forms.Padding(1);
		nudVideo_DescLen.Maximum = new decimal(new int[4] { 10000, 0, 0, 0 });
		nudVideo_DescLen.Minimum = new decimal(new int[4] { 100, 0, 0, 0 });
		nudVideo_DescLen.Name = "nudVideo_DescLen";
		nudVideo_DescLen.Size = new System.Drawing.Size(100, 20);
		nudVideo_DescLen.TabIndex = 13;
		nudVideo_DescLen.Value = new decimal(new int[4] { 100, 0, 0, 0 });
		tlpLogBorder.CellBorderStyle = System.Windows.Forms.TableLayoutPanelCellBorderStyle.Single;
		tlpLogBorder.ColumnCount = 1;
		tlpLogBorder.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Percent, 50f));
		tlpLogBorder.Controls.Add(rtxtLog, 0, 0);
		tlpLogBorder.Dock = System.Windows.Forms.DockStyle.Fill;
		tlpLogBorder.Location = new System.Drawing.Point(0, 0);
		tlpLogBorder.Name = "tlpLogBorder";
		tlpLogBorder.RowCount = 1;
		tlpLogBorder.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Percent, 50f));
		tlpLogBorder.Size = new System.Drawing.Size(330, 109);
		tlpLogBorder.TabIndex = 2;
		tlpAttack.ColumnCount = 4;
		tlpAttack.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Percent, 100f));
		tlpAttack.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle());
		tlpAttack.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle());
		tlpAttack.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle());
		tlpAttack.Controls.Add(spltAttack, 0, 0);
		tlpAttack.Controls.Add(btnGsom, 3, 1);
		tlpAttack.Controls.Add(btnStop, 2, 1);
		tlpAttack.Controls.Add(btnInitialize, 1, 1);
		tlpAttack.Dock = System.Windows.Forms.DockStyle.Fill;
		tlpAttack.Location = new System.Drawing.Point(0, 0);
		tlpAttack.Name = "tlpAttack";
		tlpAttack.RowCount = 2;
		tlpAttack.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Percent, 100f));
		tlpAttack.RowStyles.Add(new System.Windows.Forms.RowStyle());
		tlpAttack.Size = new System.Drawing.Size(336, 354);
		tlpAttack.TabIndex = 2;
		btnGsom.Anchor = System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right;
		btnGsom.Location = new System.Drawing.Point(233, 326);
		btnGsom.Name = "btnGsom";
		btnGsom.Size = new System.Drawing.Size(100, 25);
		btnGsom.TabIndex = 6;
		btnGsom.Text = "Gsom!";
		btnGsom.UseVisualStyleBackColor = true;
		btnGsom.Click += new System.EventHandler(btnGsom_Click);
		btnStop.Anchor = System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right;
		btnStop.Enabled = false;
		btnStop.Location = new System.Drawing.Point(127, 326);
		btnStop.Name = "btnStop";
		btnStop.Size = new System.Drawing.Size(100, 25);
		btnStop.TabIndex = 8;
		btnStop.Text = "Стоп";
		btnStop.UseVisualStyleBackColor = true;
		btnStop.Click += new System.EventHandler(btnStop_Click);
		btnInitialize.Anchor = System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right;
		btnInitialize.Location = new System.Drawing.Point(21, 326);
		btnInitialize.Name = "btnInitialize";
		btnInitialize.Size = new System.Drawing.Size(100, 25);
		btnInitialize.TabIndex = 7;
		btnInitialize.Text = "<< Назад";
		btnInitialize.UseVisualStyleBackColor = true;
		btnInitialize.Click += new System.EventHandler(btnInitialize_Click);
		ssMain.Items.AddRange(new System.Windows.Forms.ToolStripItem[11]
		{
			lblWallStatus, sep1, lblTopicsStatus, sep2, lblAlbumsStatus, sep3, lblAudioStatus, sep4, lblVideoStatus, sep5,
			btnCopyReport
		});
		ssMain.Location = new System.Drawing.Point(0, 354);
		ssMain.Name = "ssMain";
		ssMain.ShowItemToolTips = true;
		ssMain.Size = new System.Drawing.Size(336, 23);
		ssMain.TabIndex = 3;
		lblWallStatus.AutoToolTip = true;
		lblWallStatus.Name = "lblWallStatus";
		lblWallStatus.Size = new System.Drawing.Size(23, 18);
		lblWallStatus.Text = "    -";
		lblWallStatus.ToolTipText = "Стена";
		sep1.Name = "sep1";
		sep1.Size = new System.Drawing.Size(6, 23);
		lblTopicsStatus.AutoToolTip = true;
		lblTopicsStatus.Name = "lblTopicsStatus";
		lblTopicsStatus.Size = new System.Drawing.Size(23, 18);
		lblTopicsStatus.Text = "    -";
		lblTopicsStatus.ToolTipText = "Обсуждения";
		sep2.Name = "sep2";
		sep2.Size = new System.Drawing.Size(6, 23);
		lblAlbumsStatus.AutoToolTip = true;
		lblAlbumsStatus.Name = "lblAlbumsStatus";
		lblAlbumsStatus.Size = new System.Drawing.Size(23, 18);
		lblAlbumsStatus.Text = "    -";
		lblAlbumsStatus.ToolTipText = "Альбомы";
		sep3.Name = "sep3";
		sep3.Size = new System.Drawing.Size(6, 23);
		lblAudioStatus.AutoToolTip = true;
		lblAudioStatus.Name = "lblAudioStatus";
		lblAudioStatus.Size = new System.Drawing.Size(23, 18);
		lblAudioStatus.Text = "    -";
		lblAudioStatus.ToolTipText = "Аудио";
		sep4.Name = "sep4";
		sep4.Size = new System.Drawing.Size(6, 23);
		lblVideoStatus.AutoToolTip = true;
		lblVideoStatus.Name = "lblVideoStatus";
		lblVideoStatus.Size = new System.Drawing.Size(23, 18);
		lblVideoStatus.Text = "    -";
		lblVideoStatus.ToolTipText = "Видео";
		sep5.Name = "sep5";
		sep5.Size = new System.Drawing.Size(6, 23);
		btnCopyReport.DisplayStyle = System.Windows.Forms.ToolStripItemDisplayStyle.Text;
		btnCopyReport.ImageTransparentColor = System.Drawing.Color.Magenta;
		btnCopyReport.Name = "btnCopyReport";
		btnCopyReport.Size = new System.Drawing.Size(105, 21);
		btnCopyReport.Text = "Копировать отчет";
		btnCopyReport.Click += new System.EventHandler(btnCopyReport_Click);
		tmrScan.Interval = 200;
		tmrScan.Tick += new System.EventHandler(tmrScan_Tick);
		tray.BalloonTipIcon = System.Windows.Forms.ToolTipIcon.Info;
		tray.BalloonTipTitle = "ГСОМЕ v0.6a";
		tray.Icon = (System.Drawing.Icon)resources.GetObject("tray.Icon");
		tray.MouseClick += new System.Windows.Forms.MouseEventHandler(tray_MouseClick);
		tray.MouseDoubleClick += new System.Windows.Forms.MouseEventHandler(tray_MouseDoubleClick);
		base.ClientSize = new System.Drawing.Size(336, 377);
		base.Controls.Add(tlpAttack);
		base.Controls.Add(tlpInitialization);
		base.Controls.Add(ssMain);
		base.Icon = (System.Drawing.Icon)resources.GetObject("$this.Icon");
		base.Name = "MainForm";
		Text = "ГСОМЕ v0.6a (by exe-dealer)";
		tlpInitialization.ResumeLayout(false);
		tlpInitialization.PerformLayout();
		spltAttack.Panel1.ResumeLayout(false);
		spltAttack.Panel2.ResumeLayout(false);
		spltAttack.ResumeLayout(false);
		tcConfigs.ResumeLayout(false);
		tpWall.ResumeLayout(false);
		tlpWall.ResumeLayout(false);
		tlpWall.PerformLayout();
		((System.ComponentModel.ISupportInitialize)nudWall_TimeInterval).EndInit();
		((System.ComponentModel.ISupportInitialize)nudWall_MsgLen).EndInit();
		tpTopics.ResumeLayout(false);
		tlpTopics.ResumeLayout(false);
		tlpTopics.PerformLayout();
		((System.ComponentModel.ISupportInitialize)nudTopics_TimeInterval).EndInit();
		((System.ComponentModel.ISupportInitialize)nudTopics_TitleLen).EndInit();
		((System.ComponentModel.ISupportInitialize)nudTopics_SubjLen).EndInit();
		tpPhotos.ResumeLayout(false);
		tableLayoutPanel1.ResumeLayout(false);
		tableLayoutPanel1.PerformLayout();
		((System.ComponentModel.ISupportInitialize)nudAlbums_CreationTimeInterval).EndInit();
		((System.ComponentModel.ISupportInitialize)nudAlbums_PhotoTimeInterval).EndInit();
		tpAudio.ResumeLayout(false);
		tableLayoutPanel2.ResumeLayout(false);
		tableLayoutPanel2.PerformLayout();
		((System.ComponentModel.ISupportInitialize)nudAudio_TimeInterval).EndInit();
		tpVideo.ResumeLayout(false);
		tlpVideo.ResumeLayout(false);
		tlpVideo.PerformLayout();
		((System.ComponentModel.ISupportInitialize)nudVideo_TimeInterval).EndInit();
		((System.ComponentModel.ISupportInitialize)nudVideo_NameLen).EndInit();
		((System.ComponentModel.ISupportInitialize)nudVideo_DescLen).EndInit();
		tlpLogBorder.ResumeLayout(false);
		tlpAttack.ResumeLayout(false);
		ssMain.ResumeLayout(false);
		ssMain.PerformLayout();
		ResumeLayout(false);
		PerformLayout();
	}

	public MainForm()
	{
		InitializeComponent();
		tray.Icon = base.Icon;
		tray.BalloonTipTitle = Text;
		tlpInitialization.Show();
		tlpAttack.Hide();
		gen = new Gsom(program.lib_path, Encoding.Default);
		for (int i = 0; i < program.Accounts.Count; i++)
		{
			cmbClientAccount.Items.Add(program.Accounts[i]);
		}
		cmbClientAccount.SelectedIndex = 0;
		RefreshTrayText();
		chkDoWall.Checked = Settings.Default.Wall_Enabled;
		nudWall_TimeInterval.Value = Settings.Default.Wall_Interval;
		nudWall_MsgLen.Value = Settings.Default.Wall_MessLen;
		chkWall_AddLineBreaks.Checked = Settings.Default.Wall_LineBreaks;
		chkWall_RandomCase.Checked = Settings.Default.Wall_RandomCase;
		chkWall_AddASCII_Img.Checked = Settings.Default.Wall_AsciiImg;
		chkWall_AddGraffiti.Checked = Settings.Default.Wall_Graffiti;
		chkDoTopics.Checked = Settings.Default.Topics_Enabled;
		nudTopics_TimeInterval.Value = Settings.Default.Topics_Interval;
		nudTopics_SubjLen.Value = Settings.Default.Topics_SubjLen;
		nudTopics_TitleLen.Value = Settings.Default.Topics_NameLen;
		chkTopics_AddASCII_Img.Checked = Settings.Default.Topics_AsciiImg;
		chkTopics_AddLineBreaks.Checked = Settings.Default.Topics_LineBreaks;
		chkTopics_RandomCase.Checked = Settings.Default.Topics_RandomCase;
		chkDoAlbums.Checked = Settings.Default.Albums_Enabled;
		nudAlbums_CreationTimeInterval.Value = Settings.Default.Albums_CreationInterval;
		nudAlbums_PhotoTimeInterval.Value = Settings.Default.Albums_PhotoInterval;
		chkAlbums_AddASCII_Img.Checked = Settings.Default.Albums_AsciiImg;
		chkAlbums_AddLineBreaks.Checked = Settings.Default.Albums_LineBreaks;
		chkAlbums_AttackTodayCreated.Checked = Settings.Default.Albums_AttackTodayCreated;
		chkAlbums_RandomCase.Checked = Settings.Default.Albums_RandomCase;
		chkDoAudio.Checked = Settings.Default.Audio_Enabled;
		nudAudio_TimeInterval.Value = Settings.Default.Audio_Interval;
		chkDoVideo.Checked = Settings.Default.Video_Enabled;
		chkVideo_NotAjax.Checked = Settings.Default.Video_NotAjax;
		nudVideo_TimeInterval.Value = Settings.Default.Video_Interval;
		nudVideo_NameLen.Value = Settings.Default.Video_NameLen;
		nudVideo_DescLen.Value = Settings.Default.Video_DescLen;
	}

	private void rbtnAim_Person_CheckedChanged(object sender, EventArgs e)
	{
		txtPersonID.Enabled = rbtnAim_Person.Checked;
	}

	private void rbtnAim_Group_CheckedChanged(object sender, EventArgs e)
	{
		txtGroupID.Enabled = rbtnAim_Group.Checked;
	}

	private void btnAccept_Click(object sender, EventArgs e)
	{
		rtxtLog.Clear();
		string s = ((!rbtnAim_Group.Checked) ? txtPersonID.Text : txtGroupID.Text);
		if (int.TryParse(s, out var result))
		{
			AimID = result * ((!rbtnAim_Group.Checked) ? 1 : (-1));
			int selectedIndex = cmbClientAccount.SelectedIndex;
			Account account = program.Accounts[selectedIndex];
			bool flag = false;
			try
			{
				client = new VKClient(account.EMail, account.Pass, program.proxy);
				flag = true;
			}
			catch (AuthorizationFailed)
			{
				flag = false;
			}
			if (flag)
			{
				LogWrite("Авторизация выполнена", Color.DarkGreen);
				string text = (AimName = ((AimID <= 0) ? client.GetGroupName(AimID) : client.GetPersonName(AimID)));
				if (text != null)
				{
					LogWrite("Цель: {0}", Color.Black, text);
					ClientName = client.GetPersonName(client.MyID);
					LogWrite("Воен: {0}", Color.Black, ClientName);
					if (AimID < 0)
					{
						in_group = client.EnterGroup(AimID);
						if (in_group)
						{
							LogWrite("Вход в группу выполен", Color.DarkGreen);
						}
					}
					video_info = new List<VideoInfo>();
					audio_curls = null;
					albums = null;
					wall_m_count = 0;
					topics_count = 0;
					video_count = 0;
					audio_count = 0;
					albums_count = 0;
					log_lines_count = 0;
					tlpInitialization.Hide();
					tlpAttack.Show();
				}
				else
				{
					MessageBox.Show(((AimID < 0) ? "Группа" : "Щачло") + " c ID=" + Math.Abs(AimID) + " не существует!", "Ошибка ввода", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
				}
			}
			else if (MessageBox.Show("Авторизация провалена!\nАккаунт " + account.ToString() + " не действителен.\nУдалить из списка?", "Ошибка авторизации", MessageBoxButtons.YesNo, MessageBoxIcon.Exclamation) == DialogResult.Yes)
			{
				program.Accounts.RemoveAt(selectedIndex);
				cmbClientAccount.Items.RemoveAt(selectedIndex);
				program.Changed = true;
				if (program.Accounts.Count > 0)
				{
					cmbClientAccount.SelectedIndex = 0;
					return;
				}
				MessageBox.Show("Список аккаунтов пуст!\nПриложение будет закрыто.", "Ошибка", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
				Close();
			}
		}
		else
		{
			MessageBox.Show("ID введен неверно!", "Ошибка ввода", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
		}
	}

	private void btnInitialize_Click(object sender, EventArgs e)
	{
		btnStop_Click(null, null);
		lblWallStatus.Text = "    -";
		lblVideoStatus.Text = "    -";
		lblAlbumsStatus.Text = "    -";
		lblAudioStatus.Text = "    -";
		lblTopicsStatus.Text = "    -";
		AimName = null;
		ClientName = null;
		RefreshTrayText();
		tlpAttack.Hide();
		tlpInitialization.Show();
	}

	private void btnGsom_Click(object sender, EventArgs e)
	{
		btnGsom.Enabled = false;
		nudVideo_NameLen.Enabled = false;
		nudVideo_DescLen.Enabled = false;
		thr_wall = new Thread(AttackWall)
		{
			Name = "wall",
			IsBackground = true
		};
		thr_wall.Start();
		thr_topics = new Thread(AttackTopics)
		{
			Name = "topics",
			IsBackground = true
		};
		thr_topics.Start();
		thr_albums = new Thread(AttackAlbums)
		{
			Name = "albums",
			IsBackground = true
		};
		thr_albums.Start();
		thr_audio = new Thread(AttackAudio)
		{
			Name = "audio",
			IsBackground = true
		};
		thr_audio.Start();
		thr_video = new Thread(AttackVideo)
		{
			Name = "video",
			IsBackground = true
		};
		thr_video.Start();
		tmrScan.Start();
		btnStop.Enabled = true;
		LogWrite("GSOM!", Color.Green);
	}

	private void btnStop_Click(object sender, EventArgs e)
	{
		btnStop.Enabled = false;
		Thread[] array = new Thread[5] { thr_wall, thr_topics, thr_albums, thr_audio, thr_video };
		Thread[] array2 = array;
		foreach (Thread thread in array2)
		{
			if (thread != null)
			{
				thread.Abort();
				thread.Join();
			}
		}
		tmrScan.Stop();
		nudVideo_NameLen.Enabled = true;
		nudVideo_DescLen.Enabled = true;
		btnGsom.Enabled = true;
		LogWrite("Остановлено пользователем", Color.Green);
	}

	private void tmrScan_Tick(object sender, EventArgs e)
	{
		while (log.Count > 0)
		{
			LogEntity logEntity = log.Dequeue();
			LogWrite(logEntity.message, logEntity.color);
		}
		if (!chkDoWall.Checked || thr_wall == null || !thr_wall.IsAlive)
		{
			lblWallStatus.Text = "    -";
		}
		else
		{
			lblWallStatus.Text = wall_m_count.ToString().PadLeft(5);
		}
		if (!chkDoTopics.Checked || thr_topics == null || !thr_topics.IsAlive)
		{
			lblTopicsStatus.Text = "    -";
		}
		else
		{
			lblTopicsStatus.Text = topics_count.ToString().PadLeft(5);
		}
		if (!chkDoAlbums.Checked || thr_albums == null || !thr_albums.IsAlive)
		{
			lblAlbumsStatus.Text = "    -";
		}
		else
		{
			lblAlbumsStatus.Text = albums_count.ToString().PadLeft(5);
		}
		if (!chkDoAudio.Checked || thr_audio == null || !thr_audio.IsAlive)
		{
			lblAudioStatus.Text = "    -";
		}
		else
		{
			lblAudioStatus.Text = audio_count.ToString().PadLeft(5);
		}
		if (!chkDoVideo.Checked || thr_video == null || !thr_video.IsAlive)
		{
			lblVideoStatus.Text = "    -";
		}
		else
		{
			lblVideoStatus.Text = video_count.ToString().PadLeft(5);
		}
		RefreshTrayText();
	}

	private void AttackWall()
	{
		int num = 0;
		while (true)
		{
			if (chkDoWall.Checked)
			{
				GsomFormats gsomFormats = GsomFormats.Default;
				if (chkWall_AddASCII_Img.Checked)
				{
					gsomFormats |= GsomFormats.UseMultiLineMessages;
				}
				if (chkWall_AddLineBreaks.Checked)
				{
					gsomFormats |= GsomFormats.InsertExtraLines;
				}
				if (chkWall_RandomCase.Checked)
				{
					gsomFormats |= GsomFormats.RandomCase;
				}
				Thread.Sleep((int)nudWall_TimeInterval.Value);
				bool flag = false;
				try
				{
					flag = ((!chkWall_AddGraffiti.Checked || program.PhotoData.Count <= 0 || rnd.Next(0, 2) != 1) ? client.WriteToWall(AimID, gen.Generate((int)nudWall_MsgLen.Value, gsomFormats)) : client.SendGraffitiToWall(AimID, program.PhotoData[rnd.Next(0, program.PhotoData.Count)]));
				}
				catch (NotAvailableException)
				{
					num = 5;
				}
				catch
				{
					flag = false;
				}
				if (flag)
				{
					wall_m_count++;
					num = 0;
				}
				else
				{
					num++;
				}
				if (num >= 5)
				{
					num = 0;
					log.Enqueue(new LogEntity
					{
						message = "Стена: приостановлено на 4 мин",
						color = Color.Maroon
					});
					Thread.Sleep(240000);
				}
			}
			else
			{
				Thread.Sleep(2000);
			}
		}
	}

	private void AttackTopics()
	{
		if (AimID > 0)
		{
			return;
		}
		int num = 0;
		while (true)
		{
			if (chkDoTopics.Checked)
			{
				GsomFormats gsomFormats = GsomFormats.Default;
				if (chkTopics_AddASCII_Img.Checked)
				{
					gsomFormats |= GsomFormats.UseMultiLineMessages;
				}
				if (chkTopics_AddLineBreaks.Checked)
				{
					gsomFormats |= GsomFormats.InsertExtraLines;
				}
				if (chkTopics_RandomCase.Checked)
				{
					gsomFormats |= GsomFormats.RandomCase;
				}
				Thread.Sleep((int)nudTopics_TimeInterval.Value);
				int num2 = 0;
				try
				{
					num2 = client.AddGroupDiscussion(AimID, gen.Generate((int)nudTopics_TitleLen.Value, gsomFormats & GsomFormats.RandomCase), gen.Generate((int)nudTopics_SubjLen.Value, gsomFormats));
				}
				catch (NotAvailableException)
				{
					num = 5;
				}
				catch
				{
					num2 = 0;
				}
				if (num2 > 0)
				{
					topics_count++;
					num = 0;
				}
				else
				{
					num++;
				}
				if (num >= 5)
				{
					num = 0;
					log.Enqueue(new LogEntity
					{
						message = "Стена: приостановлено на 4 мин",
						color = Color.Maroon
					});
					Thread.Sleep(240000);
				}
			}
			else
			{
				num = 0;
				Thread.Sleep(2000);
			}
		}
	}

	private void AttackAlbums()
	{
		if (AimID > 0 || program.PhotoData.Count == 0)
		{
			return;
		}
		int num = 0;
		while (true)
		{
			if (chkDoAlbums.Checked)
			{
				if (albums == null)
				{
					try
					{
						albums = client.GetGroupAlbums(AimID, 300);
						log.Enqueue(new LogEntity
						{
							message = $"Альбомы: получено {albums.Length} альбомов",
							color = Color.Black
						});
					}
					catch
					{
						log.Enqueue(new LogEntity
						{
							message = "Альбомы: ошибка просмотра",
							color = Color.Maroon
						});
						log.Enqueue(new LogEntity
						{
							message = "Альбомы: приостановлено на 4 мин",
							color = Color.Maroon
						});
						Thread.Sleep(240000);
						continue;
					}
				}
				break;
			}
			Thread.Sleep(2000);
		}
		List<byte[]> list = new List<byte[]>();
		for (int i = 0; i < albums.Length; i++)
		{
			string confirm_url;
			if (chkDoAlbums.Checked)
			{
				try
				{
					if (albums[i].PhotosCount > 500 || (!chkAlbums_AttackTodayCreated.Checked && albums[i].CreationDate == DateTime.Today))
					{
						continue;
					}
					list.Clear();
					for (int j = 0; j < 6; j++)
					{
						list.Add(program.PhotoData[rnd.Next(0, program.PhotoData.Count)]);
					}
					confirm_url = client.UploadPhotoToAlbum(albums[i], list);
					log.Enqueue(new LogEntity
					{
						message = $"Альбомы: пячим '{albums[i].Name}'",
						color = Color.Black
					});
					goto IL_02e2;
				}
				catch (BlankErrorException ex)
				{
					if (ex.Code == 21)
					{
						albums[i].PhotosCount = 501;
						continue;
					}
					log.Enqueue(new LogEntity
					{
						message = "Альбомы: " + ex.Message,
						color = Color.Maroon
					});
				}
				catch
				{
					log.Enqueue(new LogEntity
					{
						message = "Альбомы: ошибка загрузки в '" + albums[i].Name + "'",
						color = Color.Maroon
					});
				}
			}
			else
			{
				Thread.Sleep(2000);
			}
			continue;
			IL_02e2:
			while (true)
			{
				if (chkDoAlbums.Checked)
				{
					bool flag = false;
					try
					{
						flag = client.AddPhotoToAlbum(confirm_url);
					}
					catch (BlankErrorException ex2)
					{
						if (ex2.Code == 21)
						{
							albums[i].PhotosCount = 501;
							break;
						}
						log.Enqueue(new LogEntity
						{
							message = "Альбомы: " + ex2.Message,
							color = Color.Maroon
						});
					}
					catch
					{
						flag = false;
					}
					if (flag)
					{
						albums_count += 6;
						num = 0;
					}
					else
					{
						num++;
						log.Enqueue(new LogEntity
						{
							message = "Альбомы: ошибка добавления в '" + albums[i].Name + "'",
							color = Color.Maroon
						});
					}
					if (num >= 5)
					{
						num = 0;
						log.Enqueue(new LogEntity
						{
							message = "Альбомы: приостановлено на 4 мин",
							color = Color.Maroon
						});
						Thread.Sleep(240000);
					}
					Thread.Sleep((int)nudAlbums_PhotoTimeInterval.Value);
				}
				else
				{
					Thread.Sleep(2000);
				}
			}
		}
		bool flag2 = false;
		while (true)
		{
			if (chkDoAlbums.Checked)
			{
				if (!flag2)
				{
					log.Enqueue(new LogEntity
					{
						message = "Альбомы: добавляем новые",
						color = Color.Black
					});
					flag2 = true;
				}
				Thread.Sleep((int)nudAlbums_CreationTimeInterval.Value);
				GsomFormats gsomFormats = GsomFormats.Default;
				if (chkAlbums_AddASCII_Img.Checked)
				{
					gsomFormats |= GsomFormats.UseMultiLineMessages;
				}
				if (chkAlbums_AddLineBreaks.Checked)
				{
					gsomFormats |= GsomFormats.InsertExtraLines;
				}
				if (chkAlbums_RandomCase.Checked)
				{
					gsomFormats |= GsomFormats.RandomCase;
				}
				bool flag3 = false;
				int num2 = 0;
				try
				{
					num2 = client.AddGroupPhotoAlbum(AimID, gen.Phrases[rnd.Next(0, gen.Phrases.Count)], gen.Generate(1000, gsomFormats));
					if (num2 > 0)
					{
						List<byte[]> list2 = new List<byte[]>();
						list2.Add(program.PhotoData[rnd.Next(0, program.PhotoData.Count)]);
						Thread.Sleep(2000);
						string confirm_url2 = client.UploadPhotoToAlbum(new AlbumInfo
						{
							ID = num2,
							OwnerID = AimID
						}, list2);
						flag3 = client.AddPhotoToAlbum(confirm_url2);
					}
				}
				catch (BlankErrorException ex3)
				{
					log.Enqueue(new LogEntity
					{
						message = "Альбомы: " + ex3.Message,
						color = Color.Maroon
					});
					num = 5;
				}
				catch
				{
					log.Enqueue(new LogEntity
					{
						message = "Альбомы: ошибка создания",
						color = Color.Maroon
					});
					flag3 = false;
				}
				if (flag3)
				{
					albums_count++;
					num = 0;
				}
				else
				{
					num++;
				}
				if (num >= 5)
				{
					num = 0;
					log.Enqueue(new LogEntity
					{
						message = "Альбомы: приостановлено на 4 мин",
						color = Color.Maroon
					});
					Thread.Sleep(240000);
				}
			}
			else
			{
				Thread.Sleep(2000);
			}
		}
	}

	private void AttackAudio()
	{
		if (AimID > 0 || program.AudioData.Count == 0)
		{
			return;
		}
		int num = 0;
		if (audio_curls == null)
		{
			audio_curls = new List<string>();
		}
		while (audio_curls.Count < program.AudioData.Count)
		{
			if (chkDoAudio.Checked)
			{
				string text = null;
				int aid = 0;
				try
				{
					text = client.UploadAudioToGroup(AimID, program.AudioData[audio_curls.Count], out aid);
				}
				catch (BlankErrorException ex)
				{
					log.Enqueue(new LogEntity
					{
						message = "Аудио: " + ex.Message,
						color = Color.Maroon
					});
					num = 5;
				}
				catch
				{
					log.Enqueue(new LogEntity
					{
						message = "Аудио: ошибка загрузки",
						color = Color.Maroon
					});
				}
				if (text != null)
				{
					audio_curls.Add(text);
				}
				else
				{
					num++;
				}
				if (num >= 5)
				{
					num = 0;
					log.Enqueue(new LogEntity
					{
						message = "Аудио: приостановлено на 4 мин",
						color = Color.Maroon
					});
					Thread.Sleep(240000);
				}
				if (audio_curls.Count == program.AudioData.Count)
				{
					log.Enqueue(new LogEntity
					{
						message = "Аудио: загружено",
						color = Color.Black
					});
				}
				Thread.Sleep(1000);
			}
			else
			{
				Thread.Sleep(2000);
			}
		}
		while (true)
		{
			if (chkDoAudio.Checked)
			{
				bool flag = false;
				try
				{
					flag = client.AddAudioToGroup(audio_curls[rnd.Next(0, audio_curls.Count)]);
				}
				catch
				{
					flag = false;
				}
				if (flag)
				{
					audio_count++;
					num = 0;
				}
				else
				{
					num++;
				}
				if (num >= 5)
				{
					num = 0;
					log.Enqueue(new LogEntity
					{
						message = "Аудио: приостановлено на 4 мин",
						color = Color.Maroon
					});
					Thread.Sleep(240000);
				}
				Thread.Sleep((int)nudAudio_TimeInterval.Value);
			}
			else
			{
				Thread.Sleep(2000);
			}
		}
	}

	private void AttackVideo()
	{
		if (AimID > 0 || program.VideoData.Count == 0)
		{
			return;
		}
		int num = 0;
		while (true)
		{
			if (chkDoVideo.Checked)
			{
				int num2 = video_count;
				if (num2 < program.VideoData.Count)
				{
					VideoInfo item = default(VideoInfo);
					try
					{
						item = client.UploadVideo(AimID, GenerateString((int)nudVideo_NameLen.Value), GenerateString((int)nudVideo_DescLen.Value), program.VideoData[num2]);
					}
					catch (NotAvailableException)
					{
						num = 5;
					}
					catch
					{
					}
					if (item.AddHash != null)
					{
						video_info.Add(item);
						video_count++;
						if (num2 + 1 == program.VideoData.Count)
						{
							log.Enqueue(new LogEntity
							{
								message = "Видео: загружено",
								color = Color.Black
							});
						}
					}
					else
					{
						log.Enqueue(new LogEntity
						{
							message = "Видео: ошибка загрузки!",
							color = Color.Maroon
						});
						num++;
					}
					Thread.Sleep(5000);
				}
				else
				{
					bool flag = false;
					int index = rnd.Next(0, video_info.Count);
					try
					{
						flag = client.AddVideoToGroup(video_info[index], !chkVideo_NotAjax.Checked);
					}
					catch (NotAvailableException)
					{
						num = 5;
					}
					catch
					{
						flag = false;
					}
					if (flag)
					{
						video_count++;
						num = 0;
					}
					else
					{
						log.Enqueue(new LogEntity
						{
							message = "Видео: ошибка добавления!",
							color = Color.Maroon
						});
						num++;
					}
				}
				if (num >= 5)
				{
					num = 0;
					log.Enqueue(new LogEntity
					{
						message = "Видео: приостановлено на 4 мин",
						color = Color.Maroon
					});
					Thread.Sleep(240000);
				}
				Thread.Sleep((int)nudVideo_TimeInterval.Value);
			}
			else
			{
				Thread.Sleep(2000);
			}
		}
	}

	private void LogWrite(string message, Color color, params object[] p)
	{
		rtxtLog.SelectionLength = 0;
		rtxtLog.SelectionStart = rtxtLog.Text.Length;
		rtxtLog.SelectionColor = color;
		rtxtLog.AppendText(string.Format((++log_lines_count).ToString().PadRight(3) + ": " + message + "\r\n", p));
		rtxtLog.ScrollToCaret();
	}

	private static string GenerateString(int capacity)
	{
		StringBuilder stringBuilder = new StringBuilder();
		for (int i = 0; i < capacity; i++)
		{
			stringBuilder.Append((char)rnd.Next(97, 122));
		}
		return stringBuilder.ToString();
	}

	private void tray_MouseDoubleClick(object sender, MouseEventArgs e)
	{
		base.WindowState = FormWindowState.Normal;
		tray.Visible = false;
		base.ShowInTaskbar = true;
	}

	protected override void OnResize(EventArgs e)
	{
		if (base.WindowState == FormWindowState.Minimized)
		{
			RefreshTrayText();
			tray.Visible = true;
			base.ShowInTaskbar = false;
			tray.ShowBalloonTip(5000);
		}
		base.OnResize(e);
	}

	private void RefreshTrayText()
	{
		tray.BalloonTipText = "Двойной щелчок, чтобы восстановить";
		if (AimName != null)
		{
			tray.BalloonTipText += $"\r\n\r\nВоен: {ClientName}\r\nЦель: {AimName}\r\n\r\nСтена: {wall_m_count}\r\nОбсуждения: {topics_count}\r\nАльбомы: {albums_count}\r\nАудио: {audio_count}\r\nВидео: {video_count}";
		}
	}

	private void tray_MouseClick(object sender, MouseEventArgs e)
	{
		tray.ShowBalloonTip(20000);
	}

	protected override void OnClosing(CancelEventArgs e)
	{
		Settings.Default.Wall_Enabled = chkDoWall.Checked;
		Settings.Default.Wall_Interval = (int)nudWall_TimeInterval.Value;
		Settings.Default.Wall_MessLen = (int)nudWall_MsgLen.Value;
		Settings.Default.Wall_LineBreaks = chkWall_AddLineBreaks.Checked;
		Settings.Default.Wall_RandomCase = chkWall_RandomCase.Checked;
		Settings.Default.Wall_AsciiImg = chkWall_AddASCII_Img.Checked;
		Settings.Default.Wall_Graffiti = chkWall_AddGraffiti.Checked;
		Settings.Default.Topics_Enabled = chkDoTopics.Checked;
		Settings.Default.Topics_Interval = (int)nudTopics_TimeInterval.Value;
		Settings.Default.Topics_SubjLen = (int)nudTopics_SubjLen.Value;
		Settings.Default.Topics_NameLen = (int)nudTopics_TitleLen.Value;
		Settings.Default.Topics_AsciiImg = chkTopics_AddASCII_Img.Checked;
		Settings.Default.Topics_LineBreaks = chkTopics_AddLineBreaks.Checked;
		Settings.Default.Topics_RandomCase = chkTopics_RandomCase.Checked;
		Settings.Default.Albums_Enabled = chkDoAlbums.Checked;
		Settings.Default.Albums_CreationInterval = (int)nudAlbums_CreationTimeInterval.Value;
		Settings.Default.Albums_PhotoInterval = (int)nudAlbums_PhotoTimeInterval.Value;
		Settings.Default.Albums_AsciiImg = chkAlbums_AddASCII_Img.Checked;
		Settings.Default.Albums_LineBreaks = chkAlbums_AddLineBreaks.Checked;
		Settings.Default.Albums_AttackTodayCreated = chkAlbums_AttackTodayCreated.Checked;
		Settings.Default.Albums_RandomCase = chkAlbums_RandomCase.Checked;
		Settings.Default.Audio_Enabled = chkDoAudio.Checked;
		Settings.Default.Audio_Interval = (int)nudAudio_TimeInterval.Value;
		Settings.Default.Video_Enabled = chkDoVideo.Checked;
		Settings.Default.Video_NotAjax = chkVideo_NotAjax.Checked;
		Settings.Default.Video_Interval = (int)nudVideo_TimeInterval.Value;
		Settings.Default.Video_NameLen = (int)nudVideo_NameLen.Value;
		Settings.Default.Video_DescLen = (int)nudVideo_DescLen.Value;
		base.OnClosing(e);
	}

	private void btnCopyReport_Click(object sender, EventArgs e)
	{
		string text = $"Воен: {ClientName}\r\nЦель: {AimName}\r\n\r\nСтена: {wall_m_count}\r\nОбсуждения: {topics_count}\r\nАльбомы: {albums_count}\r\nАудио: {audio_count}\r\nВидео: {video_count}";
		Clipboard.SetText(text, TextDataFormat.UnicodeText);
	}
}
